## gdkpixbufdec gdkpixbufdec |

## Types and Values

struct | GstGdkPixbufDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstGdkPixbufDec

## Description

## Synopsis

### Element Information

plugin | gdkpixbuf
author | David A. Schleef <ds@schleef.org>, Renato Filho <renato.filho@indt.org.br>
class | Codec/Decoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/png
| image/x-icon
| application/x-navi-animation
| image/x-cmu-raster
| image/x-sun-raster
| image/x-pixmap
| image/tiff
| image/x-portable-anymap
| image/x-portable-bitmap
| image/x-portable-graymap
| image/x-portable-pixmap
| image/bmp
| image/x-bmp
| image/x-MS-bmp
| image/vnd.wap.wbmp
| image/x-bitmap
| image/x-tga
| image/x-pcx
| image/svg
| image/svg+xml

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGdkPixbufDec

    struct GstGdkPixbufDec;